# $Revision: 1.78 $, $Date: 2005/12/14 21:41:10 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	C library for parsing command line parameters
Summary(de):	C-Library zum Parsen von Befehlszeilenparametern
Summary(fr):	Bibliothque C pour analyser les paramtres de la ligne de commande
Summary(pl):	Biblioteka C do przetwarzania parametrw przekazywanych do programw w linii polece
Summary(ru):	 C     
Summary(tr):	Komut satr parametrelerini ayrtrmak iin C arivi
Summary(uk):	̦ C   Ҧ ϧ Ҧ
Name:		popt
Version:	1.10.4
Release:	1
License:	X Consortium (MIT-like)
Group:		Libraries
Source0:	ftp://jbj.org/pub/rpm-4.4.x/%{name}-%{version}.tar.gz
# Source0-md5:	63b943522a6788ae8f756ca123d83c00
Patch0:		%{name}-values.patch
Patch1:		%{name}-gettext0.11.patch
Patch2:		%{name}-pl.po.patch
Patch3:		%{name}-libdir64.patch
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	gettext-devel >= 0.11.5
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't require very fresh rpm.macros to build
%define		__gettextize	gettextize --copy --force --intl ; cp -f po/Makevars{.template,}

%description
Popt is a C library for passing command line parameters. It was heavily
influenced by the getopt() and getopt_long() functions, but it allows
more powerful argument expansion. It can parse arbitrary argv[] style
arrays and automatically set variables based on command line
arguments. It also allows command line arguments to be aliased via
configuration files and includes utility functions for parsing
arbitrary strings into argv[] arrays using shell-like rules.

%description -l de
Popt ist eine C-Library zum Parsen von Befehlszeilenparametern, stark
beeinflut von den getopt() und getopt_long()-Funktionen, aber mit
sehr viel besserer Argumenterweiterung. Es knnen beliebige
argv[]-Argument- Arrays geparst und Variablen auf der Basis von
Befehlszeilenargumenten automatisch gesetzt werden. Ferner knnen
Befehlszeilenargumente ber Konfigurationsdateien ge-aliast werden,
und die Library enthlt Utility- funktionen zum Parsen beliebiger
Strings in argv[]-Arrays anhand von Shell-hnlichen Regeln.

%description -l fr
Popt est une bibliothque C pour analyser les paramtres de la ligne
de commande. Elle a t beaucoup influence par les fonctions getopt()
et getopt_long() mais permet une expansion plus puissante des
arguments. Elle peut analyser des tableaux arbitraires du style argv[]
et configure les variables automatiquement selon les arguments de la
ligne de commande. Elle permet aussi  ces arguments d'tre des alias
via des fichiers de configuration et inclut des fonctions utilitaires
pour analyser des chanes arbitraires dans les tableaux argv[] en
utilisant des rgles  la shell

%description -l pl
Popt jest bibliotek C suc przetwarzaniu parametrw wywoania.
Duy wpyw miay na ni getopt() i getopt_long(), ale ma od nich
znacznie wiksze moliwoci. Moe przetwarza bezporednio tablice
typu argv[] i automatycznie ustawia zmienne w oparciu i parametry
wywoania. Pozwala take na tworzenie zwizkw pomidzy argumentami
wywoania a plikami konfiguracyjnymi oraz pozwala zamienia cigi
znakw na tablice typu argv[] z wykorzystaniem zasad znanych z powok
(shelli).

%description -l ru
Popt -   C     . 
      getopt()  getopt_long(),  
       . 
      argv[]  
       .
        
        argv[] 
 - .

%description -l tr
Popt, komut satr parametrelerini ayrtran bir C arividir.
Geliigzel argv[] tarz dizileri ayrtrabilir ve otomatik olarak
komut satr deikenlerine dayal deikenleri atayabilir.

%description -l uk
Popt -  ¦̦ C   Ҧ ϧ Ҧ. 
   æ getopt()  getopt_long(),   צͦ
צ Φ Ѥ ¦   Ԧ.  
 צΦ   ̦ argv[]   
ͦΦ  Ԧ צ Ԧ ϧ Ҧ.  
Ѥ  ̦  ƦæΦ   ͦ
æ   צ Ҧ   argv[]  
-Ħ .

%package devel
Summary:	Header file and documentation for popt development
Summary(pl):	Pliki nagwkowe i dokumentacja dla popt
Summary(ru):	  ,     popt
Summary(uk):	  ¦̦, ȦΦ    popt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file and documentation for popt development.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla popt.

%description devel -l ru
     ,   
,  popt.

%description devel -l uk
  ͦ ¦̦  , ȦΦ  
,   popt.

%package static
Summary:	Static library for popt development
Summary(pl):	Biblioteka statyczna popt
Summary(ru):	  popt
Summary(uk):	Φ ¦̦ popt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for popt development.

%description static -l pl
Biblioteka statyczna popt.

%description static -l ru
     ,   
  popt-devel.

%description static -l uk
   ڦ  ¦̦,  ¦   
 popt-devel.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/{eu_ES,eu}.po
mv -f po/{no,nb}.po

%build
%{__gettextize}
%{__libtoolize}
%{__autoheader}
%{__aclocal}
%{__autoconf}
%{__automake} -i
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.* $RPM_BUILD_ROOT/%{_lib}
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.so
ln -sf /%{_lib}/`(cd $RPM_BUILD_ROOT/%{_lib}; echo *)` \
	$RPM_BUILD_ROOT%{_libdir}/libpopt.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%attr(755,root,root) /%{_lib}/libpopt.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpopt.so
%{_libdir}/libpopt.la
%{_mandir}/man3/*
%{_includedir}/popt.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpopt.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: popt.spec,v $
Revision 1.78  2005/12/14 21:41:10  qboosh
- updated to 1.10.4, updated gettext0.11 patch

Revision 1.77  2005/11/18 17:28:06  qboosh
- updated to 1.10.3, updated gettext0.11,pl.po patches

Revision 1.76  2005/08/21 21:23:26  arekm
- rel 2; rebuild to fix ppc

Revision 1.75  2005/07/23 11:09:22  qboosh
- updated to 1.10.2 (released separately again)
- updated gettext0.11 patch
- fixed License, added COPYING to doc

Revision 1.74  2005/06/17 19:19:20  twittner
- added bcond_without static_libs

Revision 1.73  2005/03/21 18:26:44  mmazur
- rel 2 for th

Revision 1.72  2005/02/18 10:09:59  qboosh
- updated to 1.10.1 (using rpm 4.4.1 sources); updated gettext0.11,pl.po patches

Revision 1.71  2004/10/31 21:53:12  paladine
- spaces->tabs
- formatting

Revision 1.70  2004/10/13 10:51:55  mmazur
- rel 0.6 for th

Revision 1.69  2004/03/19 19:17:37  qboosh
- strict internal deps

Revision 1.68  2004/02/01 19:24:29  qboosh
- updated pl.po patch
- merged zh_CN patch and es fix into gettext0.11 patch
- release .5

Revision 1.67  2004/02/01 19:03:15  qboosh
- standardized locale dirs (no->nb abusing zh_CN patch)
- release .4

Revision 1.66  2004/01/16 09:52:49  jajcus
- Release: .3

Revision 1.65  2003/12/18 21:02:09  jajcus
- don't add '64' to libdir in 64-bit arch, it already has one

Revision 1.64  2003/10/12 15:59:05  blues
- too fast commit - rest of translations and cosmetics

Revision 1.63  2003/10/12 15:56:36  blues
- translations

Revision 1.62  2003/08/23 15:51:42  mmazur
- rel 0.snap.2 for ac

Revision 1.61  2003/06/10 08:17:53  qboosh
- there is no reason to link tests statically, so BR glibc-static can be avoided

Revision 1.60  2003/06/09 19:57:44  cieciwa
- added BR:glibc-staticpopt.spec

Revision 1.59  2003/06/08 22:00:04  qboosh
- cosmetics in pl.po patch and -devel description

Revision 1.58  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.57  2003/05/25 06:25:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.56  2003/05/17 23:20:46  wiget
- updated to 1.9 snap 20030515

Revision 1.55  2003/04/25 16:17:05  qboosh
- more pl.po patch updates, spec spell-checking

Revision 1.54  2003/03/28 08:41:02  wiget
- up to popt 1.8 from rpm test-4.2rc (20030322)

Revision 1.53  2003/01/31 11:41:57  qboosh
- zh_CN patch - rename zh_CN.GB2312 to just zh_CN (GB2312 is default for zh_CN)

Revision 1.52  2002/12/05 16:06:30  qboosh
- defined __gettextize to avoid popt+rpm build trap

Revision 1.51  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.50  2002/11/21 20:28:32  mmazur
- use only new __gettextize

Revision 1.49  2002/10/25 12:20:04  qboosh
- use absolute symlinks between directories; release 2

Revision 1.48  2002/10/23 22:42:18  qboosh
- added pl.po patch (Polish messages), updated gettext0.11 patch
- release 1

Revision 1.47  2002/10/22 10:07:57  qboosh
- more macros

Revision 1.46  2002/10/20 20:32:23  mmazur
- merge from DEVEL

Revision 1.39.2.3  2002/09/19 08:23:26  wiget
- updated to 1.7 (to match rpm 4.1)

Revision 1.39.2.2  2002/08/08 16:19:53  wiget
- now it compiles with new gettext
- release 2

Revision 1.39.2.1  2002/03/16 20:09:41  qboosh
- updated to 0.6.4

Revision 1.39  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/09/26 12:57:28  qboosh
- adapterized, BuildRequires: automake, libtool

Revision 1.35  2001/07/06 14:37:46  wiget
typo

Revision 1.34  2001/07/06 14:27:09  wiget
added patch from popt cvs; release 2

Revision 1.33  2001/03/18 23:17:35  kloczek
- updated to 1.6.2.

Revision 1.32  2001/03/18 21:39:19  agaran
looks like that is needed (if anyone have better idea for that..please fix it)

Revision 1.31  2000/12/13 17:24:12  kloczek
- release 2: do not use .gz sufix for man pages in %files.

Revision 1.30  2000/11/14 12:54:24  agaran
Popt requires autoconf for build

Revision 1.29  2000/10/20 01:57:38  kloczek
- updated to 1.6,
- new Source url,
- use new rpm automation.

Revision 1.28  2000/07/25 07:28:14  kloczek
- updated to 1.5.

Revision 1.27  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.26  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.24  2000/05/18 14:21:11  baggins
- buildrequires gettext-devel

Revision 1.23  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.21  2000/03/25 15:51:14  kloczek
- release 3,
- added run missing /sbin/ldconfig in %post, %postun,
- spec adapterized.

Revision 1.20  2000/03/17 19:18:22  mkochano
- Polish description.

Revision 1.19  1999/09/22 19:16:59  kloczek
- updated to 1.4.

Revision 1.18  1999/07/23 18:55:57  kloczek
- release 4,
- added using %%configure macro in %build,
- lib*.la moved to devel.

Revision 1.17  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.3-2]
- some macros,
- fixes for correct build,
- stripping of shared lib.

* Wed Apr 21 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.3-1]
- updated to 1.3,
- changed Group to Libraries,
- added Group(pl),
- DESTDIR instead of PREFIX in make install,
- added man pages in %files,
- gzipping man pages,
- ./configure moved from %setup to %build,
- added --disable-shared to configure options,
- added "rm -rf $RPM_BUILD_ROOT" in %install,
- cosmetic changes,
- recompiled on rpm 3.

* Sat Aug 15 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.1.1-3]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added pl translation,
- global %defattr macro instead %attr macros in %files.
- start at RH spec.
